Package twisted :: Package internet :: Module base :: Class ReactorBase |
[frames | no frames]

## Class ReactorBase

Known Subclasses:
  `PosixReactorBase`

Default base class for Reactors.

Method Summary
| `__init__(self)`
| `_cbContinueSystemEvent(self, result, eventType)`
| `_continueSystemEvent(self, eventType)`
| `_initThreadPool(self)`
| `_internalResolve(self, name, timeout)`
| `_resetCallLater(self, tple)`
| `addReader(self, reader)`
| ``addSystemEventTrigger`(self, phase, eventType, f, *args, **kw)` See twisted.internet.interfaces.IReactorCore.addSystemEventTrigger.
| `addWriter(self, writer)`
| ``callFromThread`(self, f, *args, **kw)` See twisted.internet.interfaces.IReactorThreads.callFromThread.
| ``callInThread`(self, callable, *args, **kwargs)` See twisted.internet.interfaces.IReactorThreads.callInThread.
| ``callLater`(self, seconds, f, *args, **kw)` See twisted.internet.interfaces.IReactorTime.callLater.
| ``callWhenRunning`(self, callable, *args, **kw)` See twisted.internet.interfaces.IReactorCore.callWhenRunning.
| ``cancelCallLater`(self, callID)` See twisted.internet.interfaces.IReactorTime.cancelCallLater.
| ``clientSSL`(self, host, port, protocol, contextFactory, timeout)` Deprecated - use connectSSL instead.
| ``clientTCP`(self, host, port, protocol, timeout)` Deprecated - use connectTCP instead.
| ``clientUNIX`(self, address, protocol, timeout)` Deprecated - use connectUNIX instead.
| ``crash`(self)` See twisted.internet.interfaces.IReactorCore.crash.
| ``disconnectAll`(self)` Disconnect every reader, and writer in the system.
| ``doIteration`(self)` Do one iteration over the readers and writers we know about.
| ``fireSystemEvent`(self, eventType)` See twisted.internet.interfaces.IReactorCore.fireSystemEvent.
| `getDelayedCalls(self)`
| `initThreads(self)`
| `installResolver(self, resolver)`
| `installWaker(self)`
| ``iterate`(self, delay)` See twisted.internet.interfaces.IReactorCore.iterate.
| `removeAll(self)`
| `removeReader(self, reader)`
| ``removeSystemEventTrigger`(self, triggerID)` See twisted.internet.interfaces.IReactorCore.removeSystemEventTrigger.
| `removeWriter(self, writer)`
| ``resolve`(self, name, timeout)` Return a Deferred that will resolve a hostname.
| ``runUntilCurrent`(self)` Run all pending timed calls.
| ``sigBreak`(self, *args)` Handle a SIGBREAK interrupt.
| ``sigInt`(self, *args)` Handle a SIGINT interrupt.
| ``sigTerm`(self, *args)` Handle a SIGTERM interrupt.
| ``stop`(self)` See twisted.internet.interfaces.IReactorCore.stop.
| ``suggestThreadPoolSize`(self, size)` See twisted.internet.interfaces.IReactorThreads.suggestThreadPoolSize.
| `timeout(self)`
| ``wakeUp`(self)` Wake up the event loop.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IRe...`
`str` | `__name__` = `'ReactorBase'`
`NoneType` | `_lock` = None
`int` | `installed` = 0
`NoneType` | `threadCallQueue` = None
`NoneType` | `threadpool` = None

Method Details

### addSystemEventTrigger(self, phase, eventType, f, *args, **kw) See twisted.internet.interfaces.IReactorCore.addSystemEventTrigger.

### callFromThread(self, f, *args, **kw) See twisted.internet.interfaces.IReactorThreads.callFromThread.

### callInThread(self, callable, *args, **kwargs) See twisted.internet.interfaces.IReactorThreads.callInThread.

### callLater(self, seconds, f, *args, **kw) See twisted.internet.interfaces.IReactorTime.callLater.

### callWhenRunning(self, callable, *args, **kw) See twisted.internet.interfaces.IReactorCore.callWhenRunning.

### cancelCallLater(self, callID) See twisted.internet.interfaces.IReactorTime.cancelCallLater.

### clientSSL(self, host, port, protocol, contextFactory, timeout=30) Deprecated - use connectSSL instead.

### clientTCP(self, host, port, protocol, timeout=30) Deprecated - use connectTCP instead.

### clientUNIX(self, address, protocol, timeout=30) Deprecated - use connectUNIX instead.

### crash(self) See twisted.internet.interfaces.IReactorCore.crash.

### disconnectAll(self) Disconnect every reader, and writer in the system.

### doIteration(self) Do one iteration over the readers and writers we know about.

### fireSystemEvent(self, eventType) See twisted.internet.interfaces.IReactorCore.fireSystemEvent.

### iterate(self, delay=0) See twisted.internet.interfaces.IReactorCore.iterate.

### removeSystemEventTrigger(self, triggerID) See twisted.internet.interfaces.IReactorCore.removeSystemEventTrigger.

### resolve(self, name, timeout=10) Return a Deferred that will resolve a hostname.

### runUntilCurrent(self) Run all pending timed calls.

### sigBreak(self, *args) Handle a SIGBREAK interrupt.

### sigInt(self, *args) Handle a SIGINT interrupt.

### sigTerm(self, *args) Handle a SIGTERM interrupt.

### stop(self) See twisted.internet.interfaces.IReactorCore.stop.

### suggestThreadPoolSize(self, size) See twisted.internet.interfaces.IReactorThreads.suggestThreadPoolSize.

### wakeUp(self) Wake up the event loop.

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.internet.interfaces.IReactorCore at 0x81ac30c>,
         <class twisted.internet.interfaces.IReactorTime at 0x824dbf4>,
         <class twisted.internet.interfaces.IReactorThreads at 0x82370c4>,
         <class twisted.internet.interfaces.IReactorPluggableResolver at 0x81a\
        c154>)

    ### __name__ Type: `str` Value:
        'ReactorBase'

    ### _lock Type: `NoneType` Value:
        None

    ### installed Type: `int` Value:
        0

    ### threadCallQueue Type: `NoneType` Value:
        None

    ### threadpool Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:51 2003 | http://epydoc.sf.net